﻿@model IEnumerable<PlataformaEducativa.Site.Models.People.PeopleListViewModel>
@{
    ViewData["Title"] = "Index";
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
            <div class="header">
                <h2>
                    Persona
                </h2>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                        <a asp-action="Create" asp-controller="People" data-loader="true" class="btn btn-primary waves-effect waves-light">Crear persona</a>
                    </div>
                </div>
                <div class="table-responsive">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Identity)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().FullName)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().SexType)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().BirthDate)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().CivilStatus)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().EducationLevel)</th>
                                <th>Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Identity)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.FullName)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.SexType)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.BirthDate)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.CivilStatus)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.EducationLevel)
                                </td>
                                <td>
                                    <a asp-action="Edit" asp-route-id="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="Editar persona" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                        <i class="material-icons">edit</i>
                                    </a>
                                    <a href="#confirm_@item.Id" data-tooltip="tooltip" data-placement="top" title="Eliminar persona" class="btn btn-xs btn-table btn-circle waves-effect waves-red waves-circle" data-toggle="modal" data-target="#confirm_@item.Id">
                                        <i class="material-icons">delete</i>
                                    </a>
                                    <a asp-action="Details" asp-route-id="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="Detalles de la persona" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                        <i class="material-icons">arrow_forward</i>
                                    </a>
                                    <form asp-action="Delete" asp-route-id="@item.Id">
                                        <div class="modal fade" id="confirm_@item.Id" tabindex="-1" role="dialog">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h4 class="modal-title" id="defaultModalLabel">Eliminar persona</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        ¿Está seguro de querer eliminar la persona?
                                                    </div>
                                                    <div class="modal-footer">
                                                        <input type="submit" value="Eliminar" data-loader="true" class="btn btn-danger waves-effect" />
                                                        <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Cancelar</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                    }
                                </td>
                            </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>